# Class JmolMultiTouchClientAdapter

java.lang.Object
org.jmol.multitouch.JmolMultiTouchClientAdapter

All Implemented Interfaces:
  `JmolMultiTouchAdapter`

Direct Known Subclasses:
  `JmolJniClientAdapter, JmolSparshClientAdapter`

public abstract class JmolMultiTouchClientAdapter extends Object implements JmolMultiTouchAdapter

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JmolMultiTouchClient`
`actionManager`
`protected boolean`
`isServer`
`protected P3`
`ptTemp`

## Constructor Summary

Constructors
Constructor
Description
`JmolMultiTouchClientAdapter()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`dispose()`
`protected void`
`fixXY(float x, float y, boolean isAbsolute)`
`boolean`
`isServer()`
`void`
`mouseMoved(int x, int y)`
`boolean`
`setMultiTouchClient(Viewer vwr, JmolMultiTouchClient client, boolean isSimulation)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### actionManager

protected JmolMultiTouchClient actionManager

### isServer

protected boolean isServer

### ptTemp

protected P3 ptTemp

## Constructor Details

### JmolMultiTouchClientAdapter

public JmolMultiTouchClientAdapter()

## Method Details

### isServer

public boolean isServer()

Specified by:
  `isServer` in interface `JmolMultiTouchAdapter`

### dispose

public abstract void dispose()

Specified by:
  `dispose` in interface `JmolMultiTouchAdapter`

### setMultiTouchClient

public boolean setMultiTouchClient(Viewer vwr, JmolMultiTouchClient client, boolean isSimulation)

Specified by:
  `setMultiTouchClient` in interface `JmolMultiTouchAdapter`

### mouseMoved

public void mouseMoved(int x, int y)

Specified by:
  `mouseMoved` in interface `JmolMultiTouchAdapter`

### fixXY

protected void fixXY(float x, float y, boolean isAbsolute)